Onboard a consumer on Paylead platform
Create a consumer by providing it’s consumer_id
POST
/
consumers
Onboard a consumer on Paylead platform
curl --request POST \
--url https://api.example.com/consumers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "<string>",
"banks": [
{
"bank_id": "<string>",
"accounts": [
{
"id": "<string>",
"iban": "<string>",
"name": "<string>",
"transactions": []
}
],
"id": "<string>"
}
]
}
'import requests
url = "https://api.example.com/consumers"
payload = {
"id": "<string>",
"banks": [
{
"bank_id": "<string>",
"accounts": [
{
"id": "<string>",
"iban": "<string>",
"name": "<string>",
"transactions": []
}
],
"id": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: '<string>',
banks: [
{
bank_id: '<string>',
accounts: [{id: '<string>', iban: '<string>', name: '<string>', transactions: []}],
id: '<string>'
}
]
})
};
fetch('https://api.example.com/consumers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>"
}{
"message": "Bad Request"
}{
"message": "Missing or invalid Authorization Header."
}{
"message": "You don’t have permission to access this resource."
}{
"message": "Internal Server Error"
}Authorizations
Enter your "Injector" API Key
See Authentication section for more information
Body
application/json
Response
Successful Response
Unique identifier for a consumer on your system, alphanumeric string with optional dashes or underscores
Pattern:
^[a-zA-Z0-9_-]+$Was this page helpful?
⌘I
Onboard a consumer on Paylead platform
